1. Cards
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
    • ConfirmPayment
    • CompletePayment
    • Non-Secure and 3D Payment with Sipay
    • Refund
  • Cards
    • Card Registration
      POST
    • Pay by Card Token
      POST
    • Retrieving Saved Card
      GET
    • Edit Saved Card
      POST
    • Delete Saved Card
      POST
    • NonSecure Payment with Hidden Card
      POST
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Cards

Pay by Card Token

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/payByCardToken
The stored card payment service is used to place orders. After filling out and submitting the payment form on the merchant's website, the user will be redirected directly to the bank's page. The payment will be verified at the bank gateway with an SMS code. Once the payment is successful, the user will be redirected to the merchant's successful URL; otherwise, they will be redirected to the URL specified by the merchant to cancel the transaction. Unlike other payment APIs, this getPos API does not require calling the getPos API.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/payByCardToken' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "card_token": "string",
  "customer_number": 0,
  "customer_email": "string",
  "customer_phone": "string",
  "customer_name": "string",
  "currency_code": "string",
  "installments_number": 1,
  "invoice_id": "string",
  "invoice_description": "string",
  "total": 25.48,
  "merchant_key": "$2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO",
  "items": "string",
  "cancel_url": "string",
  "return_url": "string",
  "hash_key": "string",
  "bill_address1": "string",
  "bill_address2": "string",
  "bill_city": "string",
  "bill_postcode": "string",
  "bill_state": "string",
  "bill_country": "string",
  "bill_email": "string",
  "bill_phone": "string",
  "card_program": "string",
  "ip": "string",
  "transaction_type": "string",
  "sale_web_hook_key": "string",
  "order_type": 0,
  "recurring_payment_number": 0,
  "recurring_payment_cycle": "string",
  "recurring_payment_interval": "string",
  "recurring_web_hook_key": "string",
  "app_lang": "en"
}'
Response Response Example
{}
Modified at 2026-01-29 13:45:09
Previous
Card Registration
Next
Retrieving Saved Card
Built with